# Get Endpoints

- [Verify a User's Altura Guard Code](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/verify-a-users-altura-guard-code.md)
- [Get User](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-user.md)
- [Get Many Users](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-many-users.md)
- [Get a User's Items](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-a-users-items.md)
- [Get Item](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-item.md)
- [Get Items](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-items.md)
- [Get an Item's Holders](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-an-items-holders.md)
- [Get an Item's History](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-an-items-history.md)
- [Get Collection](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-collection.md)
- [Get Collections](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-collections.md)
- [Get a User's Item Balance](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-a-users-item-balance.md)
- [Get a User's ERC20 Balance](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-a-users-erc20-balance.md)
- [Get a User's Native Token Balance](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-a-users-native-token-balance.md)
- [Get a User's Domain Names (Space ID)](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-a-users-domain-names-space-id.md): This endpoint retrieves the domain names associated with a given blockchain address across multiple networks (Ethereum, BSC, Arbitrum). It returns the domain names for each network if they exist.
- [Get a User From Domain Name (Space ID)](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-a-user-from-domain-name-space-id.md): This endpoint retrieves the blockchain address associated with a given domain name on Ethereum, BSC, or Arbitrum networks. It identifies the network based on the domain extension


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/get-endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
